package client;

import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import javax.xml.namespace.QName;
import measure.*;

public class TestMeasureConverter {
    public static void main(String [] args) {
	try {
	    String endpoint =
		"http://localhost:8090/axis/MeasureConverter.jws";
	    
	    Service  service = new Service();
	    Call     call    = (Call) service.createCall();
	    
	    call.setTargetEndpointAddress( new java.net.URL(endpoint) );
	    call.setOperationName(new QName("http://soapinterop.org/", "inchToMM"));

	    call.setReturnType((new javax.xml.namespace.QName("http://measure", "Measure")),
				measure.Measure.class);
	    QName returnType = call.getReturnType();
	    System.out.println("Return type: " + returnType);

	    Inch in = new Inch();
	    in.setValue(2.0);
	    Mm ret =  (Mm) call.invoke( new Object[] { in } );
	    
	    System.out.println("Sent 'Hello!', got '" + ret.getValue() + "'");
	} catch (Exception e) {
	    System.err.println(e.toString());
	}
    }
}

